# Generated by Django 4.1.10 on 2023-07-11 14:53

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0028_donatehomepage_faq_page"),
    ]

    operations = [
        migrations.AlterField(
            model_name="donatehomepage",
            name="custom_blocks",
            field=wagtail.fields.StreamField(
                [
                    (
                        "content",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "content",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                            "font_color_#4ca971",
                                            "font_color_#fde119",
                                            "font_color_#027da8",
                                            "font_color_#004958",
                                            "font_color_#670047",
                                            "font_color_#d60d53",
                                            "font_color_#262626",
                                        ],
                                        label="Obsah",
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obecné bloky",
            ),
        ),
    ]
